curl --request POST \
--url https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectId": "<string>"
}
'import requests
url = "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks"
payload = { "objectId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectId: '<string>'})
};
fetch('https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks"
payload := strings.NewReader("{\n \"objectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"objectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"bookmarkType": "CHAT",
"objectId": "<string>",
"organizationName": "<string>",
"userName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Create a new bookmark
Creates a new bookmark for the current user within the organization. Bookmarks allow users to save references to workspaces, models, and chat conversations.
Authorization: Requires read access to the organization. Constraints: Users can only create bookmarks for themselves. Duplicate bookmarks (same type and objectId) are not allowed.
curl --request POST \
--url https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectId": "<string>"
}
'import requests
url = "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks"
payload = { "objectId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectId: '<string>'})
};
fetch('https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks"
payload := strings.NewReader("{\n \"objectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"objectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.admin.credibledata.com/api/v0/organizations/{organizationName}/bookmarks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"bookmarkType": "CHAT",
"objectId": "<string>",
"organizationName": "<string>",
"userName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization Standard identifier pattern for resource names
^[a-zA-Z0-9_ -]+$Body
Represents a user bookmark for saving references to chats, reports, models, and governed reports
The type of object being bookmarked
CHAT, REPORT, MODEL, GOVERNED_REPORT The fully-qualified identifier of the bookmarked object. Required shape per type:
CHAT—{workspaceName}/{chatDocumentPath}(1+ slash)REPORT—{workspaceName}/{reportDocumentPath}(1+ slash)MODEL—{projectName}/{packageName}/{modelPath}(2+ slashes)GOVERNED_REPORT—{projectName}/{packageName}/{reportPath}(2+ slashes)
Response
Bookmark created successfully
Represents a user bookmark for saving references to chats, reports, models, and governed reports
The type of object being bookmarked
CHAT, REPORT, MODEL, GOVERNED_REPORT The fully-qualified identifier of the bookmarked object. Required shape per type:
CHAT—{workspaceName}/{chatDocumentPath}(1+ slash)REPORT—{workspaceName}/{reportDocumentPath}(1+ slash)MODEL—{projectName}/{packageName}/{modelPath}(2+ slashes)GOVERNED_REPORT—{projectName}/{packageName}/{reportPath}(2+ slashes)
The organization name this bookmark belongs to
The username of the user who owns the bookmark
ISO 8601 timestamp indicating when the bookmark was created
Was this page helpful?